package nckd.jimin.jyyy.fi.webapi;
/**
 * 交易明细查询常量类
 *
 * @author 饶德辉
 * @version 1.0
 * @date 2025-04-24 16:58:51
 */
public class BeiTransdetailConstantInfo {
    /**
     * 实体标识
     **/
    public static final String ENTITYID = "bei_transdetail";
    /**
     * 缺省id字段
     **/
    public static final String ID = "ID";
    /**
     * 交易明细编号
     **/
    public static final String BILLNO = "BILLNO";
    /**
     * 单据状态
     **/
    public static final String BILLSTATUS = "BILLSTATUS";
    /**
     * 创建人
     **/
    public static final String CREATOR = "CREATOR";
    /**
     * 修改人
     **/
    public static final String MODIFIER = "MODIFIER";
    /**
     * 审核人
     **/
    public static final String AUDITOR = "AUDITOR";
    /**
     * 审核日期
     **/
    public static final String AUDITDATE = "AUDITDATE";
    /**
     * 最后更新时间
     **/
    public static final String MODIFYTIME = "MODIFYTIME";
    /**
     * 创建时间
     **/
    public static final String CREATETIME = "CREATETIME";
    /**
     * 组织(不用)
     **/
    public static final String ORG = "ORG";
    /**
     * 交易日期
     **/
    public static final String BIZDATE = "BIZDATE";
    /**
     * 源单id
     **/
    public static final String SOURCEBILLID = "SOURCEBILLID";
    /**
     * 币种
     **/
    public static final String CURRENCY = "CURRENCY";
    /**
     * 金额
     **/
    public static final String AMOUNT = "AMOUNT";
    /**
     * 金额折本位币
     **/
    public static final String LOCAMT = "LOCAMT";
    /**
     * 汇率
     **/
    public static final String EXCHANGERATE = "EXCHANGERATE";
    /**
     * 资金组织
     **/
    public static final String COMPANY = "COMPANY";
    /**
     * 描述
     **/
    public static final String DESCRIPTION = "DESCRIPTION";
    /**
     * 银行账号
     **/
    public static final String ACCOUNTBANK = "ACCOUNTBANK";
    /**
     * 开户银行
     **/
    public static final String BANK = "BANK";
    /**
     * 业务参考号
     **/
    public static final String BIZREFNO = "BIZREFNO";
    /**
     * 付款金额
     **/
    public static final String DEBITAMOUNT = "DEBITAMOUNT";
    /**
     * 收款金额
     **/
    public static final String CREDITAMOUNT = "CREDITAMOUNT";
    /**
     * 余额
     **/
    public static final String TRANSBALANCE = "TRANSBALANCE";
    /**
     * 对方户名
     **/
    public static final String OPPUNIT = "OPPUNIT";
    /**
     * 对方开户行
     **/
    public static final String OPPBANK = "OPPBANK";
    /**
     * 跟电子回单匹配
     **/
    public static final String ISMATCHERECEIPT = "ISMATCHERECEIPT";
    /**
     * 是否导入
     **/
    public static final String ISDATAIMPORT = "ISDATAIMPORT";
    /**
     * 明细流水号
     **/
    public static final String DETAILID = "DETAILID";
    /**
     * 已经或无需下载银行对账单
     **/
    public static final String ISDOWNTOBANKSTATE = "ISDOWNTOBANKSTATE";
    /**
     * 确认无回单
     **/
    public static final String ISNORECEIPT = "ISNORECEIPT";
    /**
     * 电子回单关联标记
     **/
    public static final String RECEIPTNO = "RECEIPTNO";
    /**
     * 对账标识码（银行返回）
     **/
    public static final String ORIGINALBANKCHECKFLAG = "ORIGINALBANKCHECKFLAG";
    /**
     * 数据来源
     **/
    public static final String DATASOURCE = "DATASOURCE";
    /**
     * 业务类型
     **/
    public static final String BIZTYPE = "BIZTYPE";
    /**
     * 是否退票
     **/
    public static final String ISREFUND = "ISREFUND";
    /**
     * 银行接口
     **/
    public static final String BANKINTERFACE = "BANKINTERFACE";
    /**
     * 是否接收
     **/
    public static final String ISRECED = "ISRECED";
    /**
     * 交易明细时间
     **/
    public static final String BIZTIME = "BIZTIME";
    /**
     * 是否银企付款
     **/
    public static final String ISKDRETFLAG = "ISKDRETFLAG";
    /**
     * 银行上划
     **/
    public static final String ISTRANSUP = "ISTRANSUP";
    /**
     * 银行下拨
     **/
    public static final String ISTRANSDOWN = "ISTRANSDOWN";
    /**
     * 银行代扣
     **/
    public static final String ISBANKWITHHOLDING = "ISBANKWITHHOLDING";
    /**
     * 接收单据类型
     **/
    public static final String RECEDBILLTYPE = "RECEDBILLTYPE";
    /**
     * 入账状态
     **/
    public static final String RECEREDTYPE = "RECEREDTYPE";
    /**
     * 排序号
     **/
    public static final String SORTNO = "SORTNO";
    /**
     * 适配入账规则
     **/
    public static final String RULENAME = "RULENAME";
    /**
     * 票据号
     **/
    public static final String BUSINESSBILLNUM = "BUSINESSBILLNUM";
    /**
     * 自动收付款
     **/
    public static final String AUTORECORPAY = "AUTORECORPAY";
    /**
     * 智能匹配
     **/
    public static final String SMARTMATCH = "SMARTMATCH";
    /**
     * 对方账号
     **/
    public static final String OPPBANKNUMBER = "OPPBANKNUMBER";
    /**
     * 对账标识码
     **/
    public static final String BANKCHECKFLAG = "BANKCHECKFLAG";
    /**
     * 接收单据编号
     **/
    public static final String RECEDBILLNUMBER = "RECEDBILLNUMBER";
    /**
     * 收款认领通知
     **/
    public static final String CLAIMNOTICEBILLNO = "CLAIMNOTICEBILLNO";
    /**
     * 源单类型
     **/
    public static final String SOURCEBILLTYPE = "SOURCEBILLTYPE";
    /**
     * 手续费
     **/
    public static final String TRANSFERCHARGE = "TRANSFERCHARGE";
    /**
     * 流程序列号
     **/
    public static final String FLOWSERIALNO = "FLOWSERIALNO";
    /**
     * 排序ID
     **/
    public static final String SORTID = "SORTID";
    /**
     * 银企请求流水号
     **/
    public static final String REQUESTSERIALNO = "REQUESTSERIALNO";
    /**
     * 银行响应流水号
     **/
    public static final String RESPONSESERAILNO = "RESPONSESERAILNO";
    /**
     * KD标识
     **/
    public static final String KDRETFLAG = "KDRETFLAG";
    /**
     * 被代理帐号
     **/
    public static final String AGENTACCNO = "AGENTACCNO";
    /**
     * 被代理户名
     **/
    public static final String AGENTACCNAME = "AGENTACCNAME";
    /**
     * 被代理帐号开户行
     **/
    public static final String AGENTACCBANKNAME = "AGENTACCBANKNAME";
    /**
     * busType
     **/
    public static final String BUSTYPE = "BUSTYPE";
    /**
     * 银企付款提交的批次号
     **/
    public static final String BATCHNO = "BATCHNO";
    /**
     * 凭证号
     **/
    public static final String VOUHNO = "VOUHNO";
    /**
     * 记账日期
     **/
    public static final String TRANSDATE = "TRANSDATE";
    /**
     * extData
     **/
    public static final String EXTDATA = "EXTDATA";
    /**
     * 最后修改时间
     **/
    public static final String LASTMODIFYTIME = "LASTMODIFYTIME";
    /**
     * 银行流水号
     **/
    public static final String BANKDETAILNO = "BANKDETAILNO";
    /**
     * 银行主键
     **/
    public static final String UNIQUESEQ = "UNIQUESEQ";
    /**
     * 已下载银行日记账
     **/
    public static final String ISDOWNBANKJOURNAL = "ISDOWNBANKJOURNAL";
    /**
     * 异常
     **/
    public static final String ERRORTYPE = "ERRORTYPE";
    /**
     * 异常原因
     **/
    public static final String ERRORMSG = "ERRORMSG";
    /**
     * 代理查询报文账号
     **/
    public static final String EXTRAACCNO = "EXTRAACCNO";
    /**
     * 票号
     **/
    public static final String BILLNOBILLNO = "BILLNOBILLNO";
    /**
     * 企业识别码
     **/
    public static final String FRMCOD = "FRMCOD";
    /**
     * 金融机构类别
     **/
    public static final String FINANCIALTYPE = "FINANCIALTYPE";
    /**
     * 电子回单关联信息
     **/
    public static final String MATCHRECEIPTENTRY = "MATCHRECEIPTENTRY";
    /**
     * 分录行号
     **/
    public static final String SEQ = "SEQ";
    /**
     * 电子回单id
     **/
    public static final String E_RECEIPTID = "E_RECEIPTID";
    /**
     * 电子回单关联标记
     **/
    public static final String E_RECEIPTNO = "E_RECEIPTNO";
    /**
     * 同名转账
     **/
    public static final String SYNONYM = "SYNONYM";
    /**
     * 已确认金额
     **/
    public static final String CONFIRMAMOUNT = "CONFIRMAMOUNT";
    /**
     * 未确认金额
     **/
    public static final String UNCONFIRMAMOUNT = "UNCONFIRMAMOUNT";
    /**
     * 对方账号关联银行账号
     **/
    public static final String OPPRELACCT = "OPPRELACCT";
}
