package nckd.jimin.jyyy.fi.mservice;

/**
 * 凭证常量类
 *
 * @author 饶德辉
 * @version 1.0
 * @date 2025-05-09 14:46:52
 */
public class GlVoucherConstantInfo {
    /**
     * 实体标识
     **/
    public static final String ENTITYID = "gl_voucher";
    /**
     * 缺省id字段
     **/
    public static final String ID = "ID";
    /**
     * 凭证号
     **/
    public static final String BILLNO = "BILLNO";
    /**
     * 状态
     **/
    public static final String BILLSTATUS = "BILLSTATUS";
    /**
     * 创建人
     **/
    public static final String CREATOR = "CREATOR";
    /**
     * 修改人
     **/
    public static final String MODIFIER = "MODIFIER";
    /**
     * 审核人
     **/
    public static final String AUDITOR = "AUDITOR";
    /**
     * 审核时间
     **/
    public static final String AUDITDATE = "AUDITDATE";
    /**
     * 修改时间
     **/
    public static final String MODIFYTIME = "MODIFYTIME";
    /**
     * 创建时间
     **/
    public static final String CREATETIME = "CREATETIME";
    /**
     * 核算组织
     **/
    public static final String ORG = "ORG";
    /**
     * 分录体
     **/
    public static final String ENTRIES = "ENTRIES";
    /**
     * 分录行号
     **/
    public static final String SEQ = "SEQ";
    /**
     * 原币借方
     **/
    public static final String DEBITORI = "DEBITORI";
    /**
     * 汇率
     **/
    public static final String LOCALRATE = "LOCALRATE";
    /**
     * 借方
     **/
    public static final String DEBITLOCAL = "DEBITLOCAL";
    /**
     * 贷方
     **/
    public static final String CREDITLOCAL = "CREDITLOCAL";
    /**
     * 单价
     **/
    public static final String PRICE = "PRICE";
    /**
     * 原币贷方
     **/
    public static final String CREDITORI = "CREDITORI";
    /**
     * 摘要
     **/
    public static final String EDESCRIPTION = "EDESCRIPTION";
    /**
     * 分录方向
     **/
    public static final String ENTRYDC = "ENTRYDC";
    /**
     * 币别
     **/
    public static final String CURRENCY = "CURRENCY";
    /**
     * 计量单位
     **/
    public static final String MEASUREUNIT = "MEASUREUNIT";
    /**
     * 数量
     **/
    public static final String QUANTITY = "QUANTITY";
    /**
     * 核算维度
     **/
    public static final String ASSGRP = "ASSGRP";
    /**
     * 主表项目
     **/
    public static final String MAINCFITEM = "MAINCFITEM";
    /**
     * 补充资料
     **/
    public static final String SUPPCFITEM = "SUPPCFITEM";
    /**
     * 主表项目金额
     **/
    public static final String MAINCFAMOUNT = "MAINCFAMOUNT";
    /**
     * 补充资料金额
     **/
    public static final String SUPPCFAMOUNT = "SUPPCFAMOUNT";
    /**
     * 原币金额
     **/
    public static final String ORIAMOUNT = "ORIAMOUNT";
    /**
     * 主表核算维度
     **/
    public static final String MAINCFASSGRP = "MAINCFASSGRP";
    /**
     * 科目
     **/
    public static final String ACCOUNT = "ACCOUNT";
    /**
     * 到期日
     **/
    public static final String EXPIREDATE = "EXPIREDATE";
    /**
     * 业务编号
     **/
    public static final String BUSINESSNUM = "BUSINESSNUM";
    /**
     * 是否dap生成
     **/
    public static final String ISDAP = "ISDAP";
    /**
     * 业务编号核销记录
     **/
    public static final String BIZNUMRECORD = "BIZNUMRECORD";
    /**
     * 汇率类型
     **/
    public static final String RATETYPE = "RATETYPE";
    /**
     * eorg
     **/
    public static final String EORG = "EORG";
    /**
     * eperiod
     **/
    public static final String EPERIOD = "EPERIOD";
    /**
     * 公共维度1
     **/
    public static final String COMASSIST1 = "COMASSIST1";
    /**
     * 公共维度2
     **/
    public static final String COMASSIST2 = "COMASSIST2";
    /**
     *
     **/
    public static final String ACCOUNTINGTYPE = "ACCOUNTINGTYPE";
    /**
     * 凭证类型
     **/
    public static final String VOUCHERTYPE = "VOUCHERTYPE";
    /**
     * 期间
     **/
    public static final String PERIOD = "PERIOD";
    /**
     * 业务日期
     **/
    public static final String BIZDATE = "BIZDATE";
    /**
     * 记账日期
     **/
    public static final String BOOKEDDATE = "BOOKEDDATE";
    /**
     * 账簿类型
     **/
    public static final String BOOKTYPE = "BOOKTYPE";
    /**
     * 参考消息
     **/
    public static final String DESCRIPTION = "DESCRIPTION";
    /**
     * 主表项目
     **/
    public static final String MAINCF = "MAINCF";
    /**
     * 主表项目金额
     **/
    public static final String MAINCFAMT = "MAINCFAMT";
    /**
     * 补充资料
     **/
    public static final String SUPPCF = "SUPPCF";
    /**
     * 补充资料金额
     **/
    public static final String SUPPCFAMT = "SUPPCFAMT";
    /**
     * 现金类科目合计(借方)
     **/
    public static final String CASHTOTAL = "CASHTOTAL";
    /**
     * 损益类科目合计(借方)
     **/
    public static final String PLTOTAL = "PLTOTAL";
    /**
     * 本次剩余未指金额
     **/
    public static final String CASHUNUSED = "CASHUNUSED";
    /**
     * 本次剩余未指金额
     **/
    public static final String PLUNUSED = "PLUNUSED";
    /**
     * 关联卡片分录
     **/
    public static final String RELATIONENTRY = "RELATIONENTRY";
    /**
     * 单据编号
     **/
    public static final String RELATIONBILLNO = "RELATIONBILLNO";
    /**
     * 文本
     **/
    public static final String RELATIONBILLNAME = "RELATIONBILLNAME";
    /**
     * 文本
     **/
    public static final String BILLTAG = "BILLTAG";
    /**
     * 文本
     **/
    public static final String BILLID = "BILLID";
    /**
     * 用户
     **/
    public static final String RELATIONUSER = "RELATIONUSER";
    /**
     * 凭证
     **/
    public static final String VOUCHERTEXT = "VOUCHERTEXT";
    /**
     * 凭证号
     **/
    public static final String VOUCHERNO = "VOUCHERNO";
    /**
     * 文本
     **/
    public static final String VOUCHERID = "VOUCHERID";
    /**
     * 附件数
     **/
    public static final String ATTACHMENT = "ATTACHMENT";
    /**
     * 核算维度
     **/
    public static final String MCFASSGRP = "MCFASSGRP";
    /**
     * 驳回信息
     **/
    public static final String ERRORMSG = "ERRORMSG";
    /**
     * 账簿
     **/
    public static final String BOOK = "BOOK";
    /**
     * 作废
     **/
    public static final String CANCELLER = "CANCELLER";
    /**
     * 来源类型
     **/
    public static final String SOURCETYPE = "SOURCETYPE";
    /**
     * 过账人
     **/
    public static final String POSTER = "POSTER";
    /**
     * 复核人
     **/
    public static final String CASHIER = "CASHIER";
    /**
     * 来源表单类型
     **/
    public static final String SOURCEBILLTYPE = "SOURCEBILLTYPE";
    /**
     * 序时簿摘要
     **/
    public static final String VDESCRIPTION = "VDESCRIPTION";
    /**
     * 借方合计
     **/
    public static final String DEBITLOCAMOUNT = "DEBITLOCAMOUNT";
    /**
     * 贷方合计
     **/
    public static final String CREDITLOCAMOUNT = "CREDITLOCAMOUNT";
    /**
     * 来源系统
     **/
    public static final String SOURCESYS = "SOURCESYS";
    /**
     * 是否冲销凭证
     **/
    public static final String ISREVERSE = "ISREVERSE";
    /**
     * 是否已被冲销
     **/
    public static final String HASREVERSE = "HASREVERSE";
    /**
     * 组织本位币
     **/
    public static final String LOCALCUR = "LOCALCUR";
    /**
     * 是否过账
     **/
    public static final String ISPOST = "ISPOST";
    /**
     * 主表指定状态
     **/
    public static final String MAINSTATUS = "MAINSTATUS";
    /**
     * 附表指定状态
     **/
    public static final String SUPPSTATUS = "SUPPSTATUS";
    /**
     * 源单id
     **/
    public static final String SOURCEBILL = "SOURCEBILL";
    /**
     * 复核状态
     **/
    public static final String ISCHECK = "ISCHECK";
    /**
     * 发送通知单
     **/
    public static final String SENDNOTICE = "SENDNOTICE";
    /**
     * 过账时间
     **/
    public static final String POSTTIME = "POSTTIME";
    /**
     * 审核驳回
     **/
    public static final String ERRORSTATUS = "ERRORSTATUS";
    /**
     * 制单人
     **/
    public static final String SUBMITTER = "SUBMITTER";
    /**
     * 财务借方合计
     **/
    public static final String FINANCIALDEBITLOCAL = "FINANCIALDEBITLOCAL";
    /**
     * 财务贷方合计
     **/
    public static final String FINANCIALCREDITLOCAL = "FINANCIALCREDITLOCAL";
    /**
     * 预算借方合计
     **/
    public static final String BUDGETDEBITLOCAL = "BUDGETDEBITLOCAL";
    /**
     * 预算贷方合计
     **/
    public static final String BUDGETCREDITLOCAL = "BUDGETCREDITLOCAL";
    /**
     * 异构凭证ID
     **/
    public static final String EXTSYSTEMVCHID = "EXTSYSTEMVCHID";
    /**
     * 异构凭证号
     **/
    public static final String EXTSYSTEMVCHNO = "EXTSYSTEMVCHNO";
    /**
     * 来源系统
     **/
    public static final String SOURCESYSTEM = "SOURCESYSTEM";
    /**
     * 冲销类型
     **/
    public static final String AGAINSTTYPE = "AGAINSTTYPE";
    /**
     * 打印次数
     **/
    public static final String PRINTCOUNTFIELD = "PRINTCOUNTFIELD";
}
