package nckd.jimin.jyyy.fi.webapi;
/**
 * 电子回单查询常量类
 *
 * @author 饶德辉
 * @version 1.0
 * @date 2025-04-25 11:41:03
 */
public class BeiElecreceiptConstantInfo {

    /**
     * 实体标识
     **/
    public static final String ENTITYID = "bei_elecreceipt";
    /**
     * 缺省id字段
     **/
    public static final String ID = "ID";
    /**
     * 单据编号
     **/
    public static final String BILLNO = "BILLNO";
    /**
     * 单据状态
     **/
    public static final String BILLSTATUS = "BILLSTATUS";
    /**
     * 创建人
     **/
    public static final String CREATOR = "CREATOR";
    /**
     * 修改人
     **/
    public static final String MODIFIER = "MODIFIER";
    /**
     * 审核人
     **/
    public static final String AUDITOR = "AUDITOR";
    /**
     * 审核日期
     **/
    public static final String AUDITDATE = "AUDITDATE";
    /**
     * 修改时间
     **/
    public static final String MODIFYTIME = "MODIFYTIME";
    /**
     * 创建时间
     **/
    public static final String CREATETIME = "CREATETIME";
    /**
     * 组织(不用)
     **/
    public static final String ORG = "ORG";
    /**
     * 交易日期
     **/
    public static final String BIZDATE = "BIZDATE";
    /**
     * 源单id
     **/
    public static final String SOURCEBILLID = "SOURCEBILLID";
    /**
     * 币种
     **/
    public static final String CURRENCY = "CURRENCY";
    /**
     * 金额
     **/
    public static final String AMOUNT = "AMOUNT";
    /**
     * 金额折本位币
     **/
    public static final String LOCAMT = "LOCAMT";
    /**
     * 汇率
     **/
    public static final String EXCHANGERATE = "EXCHANGERATE";
    /**
     * 摘要
     **/
    public static final String DESCRIPTION = "DESCRIPTION";
    /**
     * 资金组织
     **/
    public static final String COMPANY = "COMPANY";
    /**
     * 银行账户
     **/
    public static final String ACCOUNTBANK = "ACCOUNTBANK";
    /**
     * 开户银行
     **/
    public static final String BANK = "BANK";
    /**
     * 付款金额
     **/
    public static final String DEBITAMOUNT = "DEBITAMOUNT";
    /**
     * 收款金额
     **/
    public static final String CREDITAMOUNT = "CREDITAMOUNT";
    /**
     * 对方单位
     **/
    public static final String OPPUNIT = "OPPUNIT";
    /**
     * 用途
     **/
    public static final String USE = "USE";
    /**
     * 匹配交易明细
     **/
    public static final String ISMATCH = "ISMATCH";
    /**
     * 明细流水号
     **/
    public static final String DETAILID = "DETAILID";
    /**
     * 对方银行账号
     **/
    public static final String OPPBANKNUMBER = "OPPBANKNUMBER";
    /**
     * 对方开户银行
     **/
    public static final String OPPBANK = "OPPBANK";
    /**
     * 验证码
     **/
    public static final String VALIDCODE = "VALIDCODE";
    /**
     * 业务参考号
     **/
    public static final String BIZREFNO = "BIZREFNO";
    /**
     * 对账标识码
     **/
    public static final String BANKCHECKFLAG = "BANKCHECKFLAG";
    /**
     * 借贷标记
     **/
    public static final String CREDITDEBITFLAG = "CREDITDEBITFLAG";
    /**
     * 电子回单号
     **/
    public static final String RECEIPTNO = "RECEIPTNO";
    /**
     * 是否文件
     **/
    public static final String FILEFLAG = "FILEFLAG";
    /**
     * 是否完成标识
     **/
    public static final String COMPLETEFLAG = "COMPLETEFLAG";
    /**
     * 记账网点
     **/
    public static final String TRANSNETCODE = "TRANSNETCODE";
    /**
     * 记账柜员
     **/
    public static final String TRANSTELLNO = "TRANSTELLNO";
    /**
     * 文件服务url
     **/
    public static final String FILESERVERURL = "FILESERVERURL";
    /**
     * tcpurl
     **/
    public static final String TCPURL = "TCPURL";
    /**
     * 回单路径文件名
     **/
    public static final String FILEPATH = "FILEPATH";
    /**
     * 上传文件名称
     **/
    public static final String UPLOADFILENAME = "UPLOADFILENAME";
    /**
     * 服务器主机地址
     **/
    public static final String HOST = "HOST";
    /**
     * 服务器认证用户名
     **/
    public static final String USERNAME = "USERNAME";
    /**
     * 服务器认证密码
     **/
    public static final String PASSWORD = "PASSWORD";
    /**
     * 服务器协议
     **/
    public static final String PROXY = "PROXY";
    /**
     * 服务器开放端口
     **/
    public static final String PORT = "PORT";
    /**
     * 业务类型
     **/
    public static final String BIZTYPE = "BIZTYPE";
    /**
     * 排序号
     **/
    public static final String SORTNO = "SORTNO";
    /**
     * 备注
     **/
    public static final String REMARKS = "REMARKS";
    /**
     * 数据来源
     **/
    public static final String DATASOURCE = "DATASOURCE";
    /**
     * 明细交易时间
     **/
    public static final String DETAILDATETIME = "DETAILDATETIME";
    /**
     * 对方银行账号名称
     **/
    public static final String OPPBANKNAME = "OPPBANKNAME";
    /**
     * 打印次数
     **/
    public static final String PRINTCOUNT = "PRINTCOUNT";
    /**
     * 付方账号
     **/
    public static final String ACCNO = "ACCNO";
    /**
     * 付款人名称
     **/
    public static final String ACCNAME = "ACCNAME";
    /**
     * 付方开户银行名称
     **/
    public static final String BANKNAME = "BANKNAME";
    /**
     * 是否归档
     **/
    public static final String ISARCHIVE = "ISARCHIVE";
    /**
     * 收方账号
     **/
    public static final String RECNO = "RECNO";
    /**
     * 收款人名称
     **/
    public static final String RECNAME = "RECNAME";
    /**
     * 收方开户银行名称
     **/
    public static final String RECBANKNAME = "RECBANKNAME";
    /**
     * 匹配交易明细信息
     **/
    public static final String MATCHDETAILENTRY = "MATCHDETAILENTRY";
    /**
     * 分录行号
     **/
    public static final String SEQ = "SEQ";
    /**
     * 对账标识码
     **/
    public static final String E_BANKCHECKFLAG = "E_BANKCHECKFLAG";
    /**
     * 交易明细id
     **/
    public static final String E_TRANSDETAILID = "E_TRANSDETAILID";
    /**
     * 银行交易明细id
     **/
    public static final String TRANSDETAILID = "TRANSDETAILID";
    /**
     * 匹配方式
     **/
    public static final String MATCHTYPE = "MATCHTYPE";
    /**
     * 匹配人员
     **/
    public static final String MATCHER = "MATCHER";
    /**
     * 匹配时间
     **/
    public static final String MATCHTIME = "MATCHTIME";
    /**
     * 金融机构类别
     **/
    public static final String FINANCIALTYPE = "FINANCIALTYPE";
}
